function init(hero) {
    hero.setName("Spartan/CW");
    hero.setTier(5);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Jacket");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.addEquipment("fiskheroes:rip_hunters_gun");
    hero.addEquipment("fiskheroes:chronos_rifle");
    hero.addEquipment("fiskheroes:grappling_gun");

    hero.addPowers("fiskheroes:enhanced_reflexes", "cwheropack:pistol_gun");
    hero.addAttribute("FALL_RESISTANCE", 0.65, 1);
    hero.addAttribute("WEAPON_DAMAGE", 4.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 6.70, 0);
    hero.addAttribute("SPRINT_SPEED", 0.35, 1);
    
    hero.addKeyBind("AIM", "Aim", 1);
    
    hero.supplyFunction("canAim", canAim);
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:rip_hunters_gun" || entity.getHeldItem().name() == "fiskheroes:chronos_rifle" || entity.getHeldItem().isEmpty();
}